API ReferenceChangelog
Log In
API Reference

Delete a video

Deletes a video by its unique identifier.

  • When deleting a master video record, all derived videos will also be deleted.
  • When deleting a clip, any processed clips based on it will also be deleted.

Derived videos can be retrieved using GET /v1/videos/{videoId}/derived.
Optionally, a list of expected derived videoIds can be specified in the request body.
If this list is specified and incomplete, the operation fails with a 409 Conflict response.

Path Params
uuid
required

The unique identifier for the video.

Body Params

A list of derived video IDs expected to be deleted. An empty list indicates no derived videos are expected to be deleted.

A list of universally unique identifiers (UUIDs).

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*